Webhooks

Retrieves the webhook and its associated subscriptions.

get
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Responses
chevron-right
200

Webhook and subscriptions retrieved successfully

Response containing webhook details and associated event subscriptions.

targetUrlstring · nullableOptional

The POST URL on the partner’s system that will receive webhook payloads.

createdTimestampstring · date-timeOptional

The timestamp when the webhook subscription was created.

updatedTimestampstring · date-timeOptional

The timestamp when the webhook subscription was last updated.

get
/webhook

Creates or updates the webhook.

put
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Body
targetUrlstring · min: 1Required

The POST URL on the partner’s system that will receive webhook payloads.

Responses
chevron-right
200

Webhook updated successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

put
/webhook

Creates a webhook subscription.

post
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Body

Request payload to create a new webhook subscription linking an object type and an event type.

Responses
chevron-right
200

Webhook subscription created successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

post
/webhook/subscriptions

Deletes webhook subscription.

delete
Authorizations
AuthorizationstringRequired

Enter JWT Bearer token only

Path parameters
subscriptionIdstring · uuidRequired

The unique identifier of the webhook subscription to be deleted.

Responses
chevron-right
200

Webhook subscription deleted successfully

Represents an audit record for an entity that has been created or updated.

idstring · nullableOptional

The unique identifier of the entity that was modified.

typestring · nullableOptional

A string indicating the type or category of the modified entity (e.g., “Webhook”, “LoanApplicationTask”).

createdTimestampstring · date-time · nullableOptional

The timestamp when the entity was first created.

updatedTimestampstring · date-time · nullableOptional

The timestamp when the entity was last updated.

delete
/webhook/subscriptions/{subscriptionId}

Last updated